Skip to Content
0

Virtual Provider with Function Module replacement in BW 7.5 and above

Sep 10, 2017 at 10:01 AM

459

avatar image

Hi Friends,

Going forward in LSA++ in BW 7.5(BW4HANA), the classical objects like Cube, DSO are not supported. Advanced DSOs are going to replace them.

Virtual Cube based on DTP are going to be replaced by Open ODS, However what is replacement object for Virtual Cube with Function Module?

For Ex: 0FIGL_V30/V31 which is responsible to generating balance sheets is FM based virtual providers.

What is going to be the strategy?

10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

3 Answers

Andreas Tenholte
Sep 25, 2017 at 02:17 PM
0

Hi Gaurav,

in BW/4HANA this is the replacement for VirtualProvider with FuBA is the so called BAdi-Provider. You can find the documentation here:

https://help.sap.com/viewer/107a6e8a38b74ede94c833ca3b7b6f51/1.0.6/en-US/9d157e8996714771bb11c1fab34a6412.html

Best regards,

Andreas

Share
10 |10000 characters needed characters left characters exceeded
Gaurav Kumar Oct 04, 2017 at 09:30 AM
0

Dear Andreas,

Thanks for the inputs. I read this documentation however there is a very limited information given for BAdI Provider from SAP. I am not able to correlate a Virtual Provider with Function Module with BAdI Provider. I would appreciate if you can give some more information on this matter.

Thanks,

Gaurav

Share
10 |10000 characters needed characters left characters exceeded
Andreas Tenholte
Oct 19, 2017 at 09:13 AM
0

Hi Gaurav,

have you checked the sub pages in the BW/4 documentation regarding the BADi provider - also 'Create BAdi' provider' and sub page 'Methods')? Keen to know where exactly information is still missing.

If you need a working example in BW/4HANA, there is one BAdi provider shipped for the the 'Financial Statement' use case. It is included in the latest BW/4HANA content (BW4CONT SP03). The documentation you can find here:

https://help.sap.com/viewer/06e872f914a44d77b6c692b0273ca400/1.0.3/en-US/7ff81abb93d948fd94848e1d017b81da.html

To use the BAdi provider your BW4/HANA system needs to be at least on DW4CORE SP04.

Best regards,

Andreas

Share
10 |10000 characters needed characters left characters exceeded